This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496833 - lxpanel does not work
lxpanel does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lxpanel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Sebastian Vahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LXDE
  Show dependency treegraph
 
Reported: 2009-04-21 07:43 EDT by Arkady L. Shane
Modified: 2009-06-13 15:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: lxpanel-0.4.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 21:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arkady L. Shane 2009-04-21 07:43:50 EDT
After login lxpanel blinks every time. Dmesg information:

lxpanel[10626]: segfault at 31686760 ip 00000032cc87fea1 sp 00007fff398bc438 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10627]: segfault at 604e5760 ip 00000032cc87fea1 sp 00007fff68719298 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10628]: segfault at ffffffff996b6760 ip 00000032cc87fea1 sp 00007fffa18ec468 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10629]: segfault at ffffffff970df760 ip 00000032cc87fea1 sp 00007fff9f314e88 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10630]: segfault at ffffffff86d64760 ip 00000032cc87fea1 sp 00007fff8ef98b18 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10631]: segfault at 295fd760 ip 00000032cc87fea1 sp 00007fff318333a8 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10632]: segfault at 428ad760 ip 00000032cc87fea1 sp 00007fff4aae1658 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10633]: segfault at ffffffffbdfef760 ip 00000032cc87fea1 sp 00007fffc6222d98 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10634]: segfault at ffffffff9bd45760 ip 00000032cc87fea1 sp 00007fffa3f7baf8 error 4 in libc-2.9.90.so[32cc800000+164000]
lxpanel[10635]: segfault at 7c2bb760 ip 00000032cc87fea1 sp 00007fff844ef068 error 4 in libc-2.9.90.so[32cc800000+164000]
Comment 1 Sebastian Vahl 2009-04-21 08:29:25 EDT
Could you please do:
rpm -q lxpanel menu-cache glibc
Comment 2 Christoph Wickert 2009-04-21 08:41:50 EDT
I'm afraid it needs a rebuild against the latest menu-cache I have pushed. Also 0.4.0 was released yesterday, but I'd like to look into it first before updating.
Comment 3 Sebastian Vahl 2009-04-21 08:49:02 EDT
I noticed the new release a few minutes ago.

But anyway, what to do in the meantime? Build a new 0.3.999 against the newer menu-cache or wait some days and update to 0.4 final?

@Arkady L. Shane: Please try this scratchbuild if it fixes the crash (it's still compiling atm): http://koji.fedoraproject.org/koji/taskinfo?taskID=1311125
Comment 4 Arkady L. Shane 2009-04-21 10:43:45 EDT
$ rpm -q lxpanel menu-cache glibc
lxpanel-0.3.999-1.fc11.x86_64
menu-cache-0.2.3-1.fc11.x86_64
glibc-2.9.90-19.x86_64
glibc-2.9.90-19.i686

I tested your last built but it did not work. Then I built 0.4.0, it began to work fine. With menu-cache 0.2.4 my build works too.
Comment 5 Fedora Update System 2009-04-24 16:55:25 EDT
lxpanel-0.4.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxpanel-0.4.0-1.fc11
Comment 6 Christoph Wickert 2009-04-24 16:57:10 EDT
lxpanel 0.4.0 is available for Rawhide and F-11 now. Sorry it took so long. Please test it and give us some feedback if your problems are fixed. TIA!
Comment 7 Arkady L. Shane 2009-04-27 06:26:04 EDT
Yes, lxpanel works fine now. Thanks.
Comment 8 Sebastian Vahl 2009-04-28 04:02:50 EDT
(In reply to comment #7)
> Yes, lxpanel works fine now. Thanks.  

Thanks for testing!

@Christoph: I've requested to tag  lxpanel-0.4.0-1.fc11 as f11-final: https://fedorahosted.org/rel-eng/ticket/1668
Comment 9 Bug Zapper 2009-06-09 10:17:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Christoph Wickert 2009-06-09 21:29:41 EDT
As F-11 has been released with lxpanel-0.4.1, this can be closed. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.